# Gamebase Authentication Naver Adapter for Android

## Dependencies

| Module | Dependencies | Description |
| ------ | ------------ | ----------- |
| gamebase-adapter-auth-naver | gamebase-sdk-base-{version}.aar | Gamebase Android SDK |
|  | naveridlogin-android-sdk-{version}.aar | NaverIdLogin Android SDK |
|  | appcompat-v7-{version}.aar<br>support-core-utils-{version}.aar<br>customtabs-{version}.aar<br>support-v4-{version}.aar | naveridlogin-android-sdk dependencies |
| | support-annotations-{version}.jar<br>support-core-utils-{version}.aar<br>support-fragment-{version}.aar<br>support-vector-drawable-{version}.aar<br>animated-vector-drawable-{version}.aar | appcompat-v7 dependencies |
| | support-compat-{version}.aar<br>support-annotations-{version}.jar | support-core-utils dependencies |
| | support-annotations-{version}.jar<br>android.arch.lifecycle:runtime-1.0.3.aar | support-compat dependencies |
| | android.arch.lifecycle:common-1.0.3.jar<br>android.arch.core:common-1.0.0.jar<br>support-annotations-{version}.jar | runtime dependencies |
| | support-compat-{version}.aar<br>support-core-ui-{version}.aar<br>support-core-utils-{version}.aar<br>support-annotations-{version}.jar | support-fragment dependencies |
| | support-annotations-{version}.jar<br>support-compat-{version}.aar | support-core-ui dependencies |
| | support-annotations-{version}.jar<br>support-compat-{version}.aar | support-vector-drawable dependencies |
| | support-vector-drawable-{version}.aar<br>support-core-ui-{version}.aar | animated-vector-drawable dependencies |
| | support-annotations-{version}.jar<br>support-compat-{version}.aar | customtabs dependencies |
| | support-compat-{version}.aar<br>support-media-compat-{version}.aar<br>support-core-utils-{version}.aar<br>support-core-ui-{version}.aar<br>support-fragment-{version}.aar | support-v4 dependencies |
| | support-annotations-{version}.jar<br>support-compat-{version}.aar | support-media-compat dependencies |

### Reference of Naverld Android Developer's guide.
* https://developers.naver.com/docs/login/android/

## Release Note

| Date | Naver Adapter Version | Gamebase SDK Version | NaverIdLogin SDK Version | Description |
| ---- | ---------------------- | -------------------- | --------------------------- | ----------- |
| 2018.02.22 | 1.7.0 | 1.7.0 ~ | 4.2.0~ | - Initial version |
| 2018.09.13 | 1.13.0 | 1.7.0 ~ | 4.1.4~ | - Support NaverLoginSDK 4.1.4 |



